package com.ruoyi.busi.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.busi.mapper.BusiUserLoveMapper;
import com.ruoyi.busi.domain.BusiUserLove;
import com.ruoyi.busi.service.IBusiUserLoveService;

/**
 * 用户关注Service业务层处理
 * 
 * @author 朱春云
 * @date 2025-03-29
 */
@Service
public class BusiUserLoveServiceImpl extends ServiceImpl<BusiUserLoveMapper,BusiUserLove>  implements IBusiUserLoveService
{
    @Autowired
    private BusiUserLoveMapper busiUserLoveMapper;

    @Override
    public IPage<BusiUserLove> queryListPage(BusiUserLove pageReqVO, Page<BusiUserLove> page) {
        return busiUserLoveMapper.queryListPage(pageReqVO, page);
    }
}
